> For the complete documentation index, see [llms.txt](https://docs-lunar.earthly.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-lunar.earthly.dev/sql-api/views/prs.md).

# prs

```
prs
```

The `prs` view provides information about component pull requests. The information in this view is largely mirrored from the GitHub API, and is provided for convenience.

## Schema

| Column                    | Type        | Description                                                                 |
| ------------------------- | ----------- | --------------------------------------------------------------------------- |
| `component_id`            | `TEXT`      | The identifier for the component - e.g. `github.com/foo/bar/buz`            |
| `pr`                      | `BIGINT`    | The pull request number                                                     |
| `pr_opened_at`            | `TIMESTAMP` | The UTC timestamp when the pull request was opened                          |
| `pr_status`               | `TEXT`      | The status of the pull request. Can be one of `open`, `closed`, or `merged` |
| `title`                   | `TEXT`      | The title of the pull request                                               |
| `author_name`             | `TEXT`      | The name of the author of the pull request                                  |
| `author_email`            | `TEXT`      | The email of the author of the pull request                                 |
| `latest_git_sha`          | `TEXT`      | The latest Git commit SHA of the pull request                               |
| `latest_commit_timestamp` | `TIMESTAMP` | The "committed at" UTC timestamp of the latest commit in the pull request   |
| `latest_committer_name`   | `TEXT`      | The name of the committer of the latest commit in the pull request          |
| `latest_committer_email`  | `TEXT`      | The email of the committer of the latest commit in the pull request         |

## Usage example

Retrieve PR information for all the PRs that have failing checks in a component.

```sql
WITH failing_prs AS (
  SELECT DISTINCT pr
  FROM checks_latest
  WHERE component_id = 'github.com/foo/bar/buz'
    AND pr IS NOT NULL
    AND status = 'fail'
)
SELECT *
FROM prs
WHERE component_id = 'github.com/foo/bar/buz'
  AND pr IN (SELECT pr FROM failing_prs);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-lunar.earthly.dev/sql-api/views/prs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
